:root {
    --height100vh: calc(var(--vh, 1vh) * 100);
    --topMove: calc(50% - var(--grid_swiper_slide_top) * 1px);
}
body {
    overscroll-behavior: contain;
    overflow: hidden;
    pointer-events: none;
}
.intro {
    position: fixed; left: 0; top: 0;
    width: 100%; height: var(--height100vh);
    z-index: 9999;
    overflow: hidden;
    background: #000;
}
.intro.ended {
    display: none;
}
.intro .wrap {
    height: 100%;
}
.intro .inner {
    height: 100%;
    display: flex; flex-direction: column;
    align-items: center;
    justify-content: center;
}
.intro .inner .svg {
    width: 162px;
    position: relative;
}
.intro .inner .svg * {
    will-change: transform;
}
.intro .inner .svg #heart {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    opacity: 0;
    z-index: 1;
    width: calc(126/162*100%);
}
.intro .inner .percentWrap {
    font-family: 'Inter';
    font-size: 20px;
    font-weight: 400;
    letter-spacing: -0.025em;
    color: #fff;
    margin-top: calc(30/20*1em);
    position: relative;
}
.intro .inner .percentWrap .dotWrap {
    position: absolute;
    top: 50%;
    left: 100%;
    transform: translateY(-50%);
    display: flex; align-items: center;
}
.intro .inner .percentWrap em {
    /* display: none; */
    padding-left: calc(5/20*1em);
    opacity: 0;
}
.intro .inner .percent b {
    font-weight: 600;
    color: #f1b22b;
}
@media screen and (max-width: 1024px) {
    .intro .inner .svg {
        width: clamp(120px, 140/1024*100vw, 140px);
    }
    .intro .inner .percentWrap {
        font-size: clamp(18px, 20/1024*100vw, 20px);
    }
}
@media screen and (max-width: 360px) {
    .intro .inner .svg {
        width: clamp(100px, 120/360*100vw, 120px);
    }
    .intro .inner .percentWrap {
        font-size: clamp(16px, 18/360*100vw, 18px);
    }
}

.main {
    background: #000;
    position: relative;
    height: var(--height100vh);
    overflow: hidden;
    pointer-events: auto;
}



.full {
    position: relative;
    width: 100%;
    height: var(--height100vh);
    overflow: hidden;
    user-select: none;
    cursor: none;
}

.full.movePage {
    cursor: auto;
    pointer-events: none;
}

.full.movePage .viewmore {
    pointer-events: none;
}

.full.movePage .swiper {
    pointer-events: none !important;
}

.full .spotlight {
    position: absolute;
    top: 0;
    left: 0;
    z-index: 2;
    width: 100%;
    height: 100%;
}

.full .swiper.bg {
    width: 100%;
    height: 100%;
}

.full .swiper.bg .swiper-slide {
    width: 100%;
    height: 100%;
}

.full .swiper.bg .swiper-slide img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    pointer-events: none;
}

.full .thumbWrap {
    position: absolute;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    z-index: 3;
    height: 100%;
    pointer-events: none;
    user-select: none;
}

.full .swiper.thumb {
    pointer-events: auto;
    margin-left: 0;
    height: 100%;
    overflow: visible;
    z-index: 3;
    width: 230px;
    user-select: none;
}

.full .swiper.thumb .swiper-slide {
    position: relative;
    pointer-events: auto;
    width: 230px;
    height: 164px;
    cursor: pointer;
    filter: grayscale(1) brightness(0.6);
    transition: transform 0.5s ease, filter 0.5s ease;
}

.full .swiper.thumb .swiper-slide-active {
    filter: grayscale(0) brightness(1);
    transform: translateX(15%);
    z-index: 1;
}

.full .thumb .swiper-slide::after {
    content: '';
    display: block;
    padding-top: calc(110/155*100%);
}

.full .thumb .swiper-slide img {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 100%;
    object-fit: cover;
}

@media screen and (max-width: 1700px) {
    .full .swiper.thumb {
        width: 200px;
    }
    .full .swiper.thumb .swiper-slide {
        width: 200px;
        height: 143px;
    }
}
@media screen and (max-width: 1440px) {
    .full .swiper.thumb {
        width: 180px;
    }
    .full .swiper.thumb .swiper-slide {
        width: 180px;
        height: 129px;
    }
}
@media screen and (max-width: 1280px) {
    .full .swiper.thumb {
        width: 160px;
    }
    .full .swiper.thumb .swiper-slide {
        width: 160px;
        height: 114px;
    }
}
@media screen and (max-width: 1024px) {
    .full .swiper.thumb {
        width: 140px;
    }
    .full .swiper.thumb .swiper-slide {
        width: 140px;
        height: 98px;
    }
}
@media screen and (max-width: 820px) {
    .full .thumbWrap {
        display: flex; align-items: flex-end; padding-bottom: clamp(100px, 150/820*100vw, 150px); box-sizing: border-box;
    }
    .full .swiper.thumb {
        width: 100%; height: auto;
    }
    .full .swiper.thumb .swiper-slide {
        width: clamp(150px, 180/820*100vw, 180px);
        height: auto;
    } 
    .full .swiper.thumb .swiper-slide.swiper-slide-active {
        transform: translateX(0);
    }
}
@media screen and (max-width: 500px) {
    /* .full .thumbWrap {
        padding-bottom: 180px;
    } */
    .full .swiper.thumb .swiper-slide {
        width: clamp(100px, 120/500*100vw, 120px);
    }
}

.grid {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: var(--height100vh);
    z-index: 1;
    opacity: 0;
    pointer-events: none;
    display: flex;
    align-items: center;
    cursor: none;
}

.grid .cursor {
    border-radius: calc(100/16*1em);
    padding: 0;
    overflow: hidden;
    width: 12px;
    height: 12px;
}

.grid .cursor .inner {
    display: flex;
    align-items: center;
    padding: calc(15/16*1em);
}

.grid .cursor span {
    white-space: nowrap;
}

.grid .swiper {
    width: 100%;
    overflow: visible;
}

.grid .swiper .swiper-wrapper {
    transition-timing-function: linear;
}

.grid .swiper .swiper-slide {
    width: 280px;
    position: relative;
    filter: grayscale(1) brightness(0.8);
    transition: filter 0.5s ease;
}

@media screen and (min-width: 821px) {
    .grid .swiper .swiper-slide:hover {
        filter: grayscale(0) brightness(1);
    }
    .grid .swiper:has(.swiper-slide:hover) .swiper-slide:not(:hover) {
        filter: grayscale(1) brightness(0.3);
    }    
}
.grid .swiper .swiper-slide.active {
    overflow: visible;
    filter: grayscale(0) brightness(0.5);
}

.grid .swiper .swiper-slide::after {
    content: '';
    display: block;
    padding-top: calc(560/280*100%);
}

.grid .swiper .swiper-slide img {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: width .4s ease-out, height .4s ease-out, filter 0.5s ease, top .4s ease-out;
    max-width: none;
}

.grid .swiper .swiper-slide.active img {
    width: 100vw;
    height: var(--height100vh);
    top: var(--topMove);
}

.grid .swiper .mobile-ctg,
.grid .swiper .mobile-title {
    display: block;
    display: flex; justify-content: center;
    color: #fff;
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.3s ease, visibility 0.3s ease;
}

.grid .swiper .mobile-ctg span {
    font-size: 16px;
    font-family: 'Poppins', 'Pretendard';
    padding: calc(10/16*1em);
    /* border: 1px solid #fff; */
    border-radius: calc(30/16*1em);
    margin-bottom: calc(10/16*1em);
    font-weight: 300;
}

.grid .swiper .mobile-title span {
    font-size: 20px;
    font-family: 'Poppins', 'Pretendard';
    padding: calc(10/20*1em);
    /* border: 1px solid #fff; */
    border-radius: calc(30/20*1em);
    margin-top: calc(10/20*1em);
    font-weight: 600;
    letter-spacing: -0.01em;
    word-break: keep-all;
    text-align: center;
    line-height: 1.3;
}

@media screen and (max-width: 1440px) {
    .grid .swiper .swiper-slide {
        width: 220px;
    }
}
@media screen and (max-width: 1280px) {
    .grid .swiper .swiper-slide {
        width: 160px;
    }
}
@media screen and (max-width: 1024px) {
    .grid .swiper .swiper-slide {
        width: 140px;
    }
}
@media screen and (max-width: 820px) {
    .grid .swiper .mobile-ctg.show,
    .grid .swiper .mobile-title.show {
        opacity: 1;
        visibility: visible;
    }
    .grid .swiper .mobile-ctg span {
        font-size: clamp(16px, 24/820*100vw, 24px);
        padding: calc(0/14*1em);
    }
    .grid .swiper .mobile-title span {
        font-size: clamp(30px, 40/820*100vw, 40px);
        margin-top: calc(10/40*1em);
        margin-bottom: calc(40/40*1em);
        padding: 0 calc(10/40*1em);
    }
    .grid .swiper .swiper-wrapper {
        transition-timing-function: ease-in-out;
    }
    .grid .swiper .swiper-slide {
        width: clamp(150px, 220/820*100vw, 220px);
    }
    .grid .swiper .swiper-slide.swiper-slide-active {
        filter: grayscale(0) brightness(1);
        -webkit-filter: grayscale(0) brightness(1);
    }
    .grid .swiper .swiper-slide.swiper-slide-active.active img {
        filter: grayscale(0) brightness(0.25);
        -webkit-filter: grayscale(0) brightness(0.25);
    }
}
@media screen and (max-width: 500px) {
    .grid .swiper {
        padding-bottom: 10vh;
    }
    .grid .swiper .mobile-title span {
        font-size: clamp(28px, 32/500*100vw, 32px);
    }
    .grid .swiper .swiper-slide {
        width: clamp(120px, 150/500*100vw, 150px);
    }
    /* .grid .swiper .swiper-slide img {
        top: calc(50% -10vh);
    } */
}
@media screen and (max-width: 360px) {
    /* .grid .swiper .mobile-ctg span {
        font-size: clamp(12px, 14/360*100vw, 14px);
    }
    .grid .swiper .mobile-title span {
        font-size: clamp(16px, 18/360*100vw, 18px);
    } */
}

.main .bottom {
    /* pointer-events: none; */
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    bottom: 20px;
    z-index: 10;
    width: 95%;
    pointer-events: none;
}

.main .bottom .inner {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    pointer-events: none;
}

.main .bottom .inner .viewmore {
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
    z-index: 1;
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.2s ease, visibility 0.2s ease, border-color 0.3s ease;
    color: #fff;
}

.main .bottom .inner .viewmore.show {
    opacity: 1;
    visibility: visible;
}

.main .bottom .inner .viewMod {
    display: flex;
    align-items: center;
    font-size: 16px;
    border: 1px solid rgba(255, 255, 255, 0.2);
    border-radius: calc(26/16*1em);
    padding: calc(2/16*1em) calc(3/16*1em);
    position: relative;
    pointer-events: auto;
}
.main .bottom .inner .viewMod.nonevent {
    pointer-events: none;
}

.main .bottom .inner .viewMod .actBg {
    position: absolute;
    top: 50%;
    left: calc(3/16*1em);
    transform: translateY(-50%);
    width: calc(96/16*1em);
    height: calc(44/16*1em);
    background: rgba(255, 255, 255, 0.1);
    border-radius: calc(24/16*1em);
}

.main .bottom .inner .viewMod .mod {
    display: flex;
    align-items: center;
    padding: calc(15/16*1em) calc(20/16*1em);
    transition: padding 0.3s ease;
    position: relative;
    z-index: 1;
    cursor: pointer;
}

.main .bottom .inner .viewMod .mod.act {
    padding: calc(15/16*1em) calc(25/16*1em);
}

.main .bottom .inner .viewMod .mod .icon {
    width: 0;
    box-sizing: border-box;
    overflow: hidden;
    transition: width 0.3s ease;
    margin-right: calc(10/16*1em);
    display: flex;
    align-items: center;
}

.main .bottom .inner .viewMod .mod.act .icon {
    width: calc(14/16*1em);
}

.main .bottom .inner .viewMod .mod .icon img {
    margin-right: calc(10/16*1em);
}

.main .bottom .inner .viewMod .mod span {
    font-family: 'Urbanist';
    font-size: inherit;
    color: #7c7c7c;
    transition: color 0.3s ease;
}

.main .bottom .inner .viewMod .mod.act span {
    color: #fff;
}

@media screen and (min-width : 821px) {
    .main .bottom .inner .viewMod .mod:hover span {
        color: #fff;
    }
}

.main .bottom .inner .marqueeTxt {
    position: absolute;
    right: 0;
    bottom: 50%;
    transform: translateY(50%);
    z-index: 1;
    display: flex;
    align-items: center;
}

.main .bottom .inner .marqueeTxt .marquee {
    width: 270px;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    overflow: hidden;
    min-width: 0;
}

.main .bottom .inner .marqueeTxt .marquee .item {
    display: flex;
    align-items: center;
    animation: marquee 10s linear infinite;
}

@keyframes marquee {
    0% {
        transform: translateX(0);
    }

    100% {
        transform: translateX(-100%);
    }
}

.main .bottom .inner .marqueeTxt .marquee .item span {
    font-family: 'Urbanist';
    font-weight: 100;
    font-size: 16px;
    letter-spacing: -0.01em;
    color: #fff;
    white-space: nowrap;
}

.main .bottom .inner .marqueeTxt .marquee .item span:not(.dot) {
    padding: 0 calc(1/16*1em);
}

.main .bottom .inner .marqueeTxt .marquee .item span.dot {
    padding: 0 calc(10/16*1em);
}

.main .bottom .inner .marqueeTxt .mini_logo {
    flex-shrink: 0;
    width: 23px;
    margin-left: 20px;
}

.main .bottom .inner .marqueeTxt .mini_logo svg {
    width: 100%;
}

@media screen and (max-width: 1280px) {
    .main .bottom .inner .viewMod {
        font-size: 14px;
    }
}
@media screen and (max-width: 1024px) {
    .main .bottom .inner .marqueeTxt .marquee .item span {
        font-size: 14px;
    }
    .main .bottom .inner .marqueeTxt .marquee {
        width: 200px;
    }
}
@media screen and (max-width: 820px) {
    .main[data-currentmod="grid"] .bottom .inner {
        flex-direction: column; align-items: center;
    }
    .main[data-currentmod="grid"] .bottom .inner .viewmore {
        position: relative;
        left: auto;
        top: auto;
        transform: none;
        margin-bottom: calc(20/16*1em);
    }
    .main .bottom .inner .viewMod {
        font-size: clamp(14px, 16/820*100vw, 16px);
    }
    .main .bottom .inner .marqueeTxt {
        display: none;
    }
}
@media screen and (max-width: 500px) {
    .main .bottom {
        /* padding-bottom: 100px; */
        box-sizing: border-box;
    } 
    /* @supports (-webkit-overflow-scrolling: touch) {
        .main .bottom {
            padding-bottom: 100px;
        }
    } */
}
@media screen and (max-width: 360px) {
    .main .bottom .inner .viewMod {
        font-size: clamp(12px, 14/360*100vw, 14px);
    }
}